Name: atomic-devmode
Version: 0.3.5
Release: 1%{?dist}
Summary: Atomic Developer Mode

License: LGPLv3+
URL: http://github.com/projectatomic/atomic-devmode

# From `make archive REF=v${VERSION}`
Source: %{name}-v%{version}.tar.gz
Patch0001: 0001-init-pull-cockpit-from-the-rhel7-registry.patch

BuildArch: noarch

# We're solely compatible with grub2, so don't build on
# platforms that don't have it.
ExcludeArch: s390 s390x %{arm}

BuildRequires: git

Requires: cloud-init
Requires: atomic
Requires: tmux
Requires: grub2-tools

# NB: rpmlint complains about this (explicit-lib-dependency)
# but we need it because the package provides the pwmake
# tool, which the scripts require. That tool should probably
# be broken out in a different package.
Requires: libpwquality

%description
This package installs a Developer Mode boot option useful
for trying out an Atomic Host without having to set up a
cloud-init source. When booted, the system automatically
logs in and starts the Cockpit container.

%prep
%autosetup -S git -n atomic-devmode

%build
# Nothing to build

%install
rm -rf "%{buildroot}"
make install DESTDIR="%{buildroot}"

%files
%{_datarootdir}/atomic-devmode
%{_libexecdir}/atomic-devmode
%doc README.md
%license COPYING COPYING.LESSER

%changelog
* Thu Sep 22 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.5-1
- Upstream release 0.3.5

* Wed Sep 07 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.4-2
- Make sure the tarball name is versioned to make rpmdiff happy

* Wed Sep 07 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.4-1
- Upstream release 0.3.4

* Wed May 04 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.3-3
- Apparently rpmbuild needs the patch lines to be before BuildArch
  and ExcludeArch. It won't error, it will just silently ignore it...

* Tue May 03 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.3-2
- Add patch for pulling cockpit from RHEL registry

* Mon May 02 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.3-1
- Upstream release 0.3.3
- Changelog at %{url}/releases/tag/v0.3.3

* Wed Apr 27 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.2-1
- Upstream release 0.3.2.

* Thu Feb 25 2016 Jonathan Lebon <jlebon@redhat.com> - 0.3.1-1
- Upstream release 0.3.1.
